# Uses of Class
org.eclipse.microprofile.fault.tolerance.tck.util.Barrier

Packages that use Barrier
Package
Description
org.eclipse.microprofile.fault.tolerance.tck.asynchronous
org.eclipse.microprofile.fault.tolerance.tck.bulkhead
org.eclipse.microprofile.fault.tolerance.tck.bulkhead.clientserver
org.eclipse.microprofile.fault.tolerance.tck.bulkhead.lifecycle
org.eclipse.microprofile.fault.tolerance.tck.circuitbreaker.clientserver
org.eclipse.microprofile.fault.tolerance.tck.config
org.eclipse.microprofile.fault.tolerance.tck.util

## Uses of Barrier in org.eclipse.microprofile.fault.tolerance.tck.asynchronous

Methods in org.eclipse.microprofile.fault.tolerance.tck.asynchronous with parameters of type Barrier
Modifier and Type
Method
Description
`Future<?>`
AsyncCancellationClient.`serviceAsync(Barrier barrier, AtomicBoolean wasInterrupted)`
`Future<?>`
AsyncCancellationClient.`serviceAsyncBulkhead(Barrier barrier)`
`Future<?>`
AsyncCancellationClient.`serviceAsyncRetry(Barrier barrier)`

## Uses of Barrier in org.eclipse.microprofile.fault.tolerance.tck.bulkhead

Method parameters in org.eclipse.microprofile.fault.tolerance.tck.bulkhead with type arguments of type Barrier
Modifier and Type
Method
Description
`static void`
BulkheadAsynchTest.`testBulkhead(int maxRunning, int maxQueued, Function<Barrier,Future<?>> bulkheadMethod)`
Conducts a standard test to ensure that an asynchronous bulkhead with no other annotations works correctly.
`static void`
BulkheadSynchTest.`testBulkhead(int maxRunning, Consumer<Barrier> bulkheadMethod)`
Conducts a standard test to ensure that a synchronous bulkhead with no other annotations works correctly.

## Uses of Barrier in org.eclipse.microprofile.fault.tolerance.tck.bulkhead.clientserver

Methods in org.eclipse.microprofile.fault.tolerance.tck.bulkhead.clientserver with parameters of type Barrier
Modifier and Type
Method
Description
`Future<?>`
Bulkhead10ClassAsynchronousBean.`test(Barrier barrier)`
`void`
Bulkhead10ClassSemaphoreBean.`test(Barrier barrier)`
`Future<?>`
Bulkhead10MethodAsynchronousBean.`test(Barrier barrier)`
`void`
Bulkhead10MethodSemaphoreBean.`test(Barrier barrier)`
`void`
Bulkhead1Retry0MethodSyncBean.`test(Barrier barrier)`
`void`
Bulkhead1Retry1SyncClassBean.`test(Barrier barrier, RuntimeException ex)`
`void`
Bulkhead1Retry1SyncMethodBean.`test(Barrier barrier, RuntimeException ex)`
`void`
Bulkhead1RetryManySyncClassBean.`test(Barrier barrier)`
`void`
Bulkhead1RetryManySyncMethodBean.`test(Barrier barrier)`
`Future<?>`
Bulkhead33RetryManyAsyncClassBean.`test(Barrier barrier)`
`Future<?>`
Bulkhead33RetryManyAsyncMethodBean.`test(Barrier barrier)`
`Future<?>`
Bulkhead3ClassAsynchronousBean.`test(Barrier barrier)`
`void`
Bulkhead3ClassSemaphoreBean.`test(Barrier barrier)`
`Future<?>`
Bulkhead3MethodAsynchronousBean.`test(Barrier barrier)`
`void`
Bulkhead3MethodSemaphoreBean.`test(Barrier barrier)`
`void`
Bulkhead3TaskQueueSemaphoreBean.`test(Barrier barrier)`
`Future<?>`
Bulkhead55RapidRetry10ClassAsynchBean.`test(Barrier barrier)`
`Future<?>`
Bulkhead55RapidRetry10MethodAsynchBean.`test(Barrier barrier)`
`Future<?>`
BulkheadClassAsynchronousDefaultBean.`test(Barrier barrier)`
`Future<?>`
BulkheadClassAsynchronousQueueingBean.`test(Barrier barrier)`
`void`
BulkheadClassSemaphoreDefaultBean.`test(Barrier barrier)`
`Future<String>`
BulkheadFutureClassBean.`test(Future<String> result, Barrier barrier)`
`Future<String>`
BulkheadFutureMethodBean.`test(Future<String> result, Barrier barrier)`
`Future<?>`
BulkheadMethodAsynchronousDefaultBean.`test(Barrier barrier)`
`Future<?>`
BulkheadMethodAsynchronousQueueingBean.`test(Barrier barrier)`
`void`
BulkheadMethodSemaphoreDefaultBean.`test(Barrier barrier)`
`Future<?>`
BulkheadRetryAbortOnAsyncBean.`test(Barrier barrier)`
`void`
BulkheadRetryAbortOnSyncBean.`test(Barrier barrier)`
`Future<?>`
BulkheadRetryDelayAsyncBean.`test(Barrier barrier, RuntimeException e)`
`Future<?>`
BulkheadRetryQueueAsyncBean.`test(Barrier barrier, RuntimeException ex)`

## Uses of Barrier in org.eclipse.microprofile.fault.tolerance.tck.bulkhead.lifecycle

Methods in org.eclipse.microprofile.fault.tolerance.tck.bulkhead.lifecycle with parameters of type Barrier
Modifier and Type
Method
Description
`void`
BulkheadLifecycleService1.`service(Barrier barrier)`
`void`
BulkheadLifecycleService2.`service(Barrier barrier)`
`void`
BulkheadLifecycleServiceSuperclass.`service(Barrier barrier)`
`void`
MutlipleMethodsBulkheadLifecycleService.`service1(Barrier barrier)`
`void`
MutlipleMethodsBulkheadLifecycleService.`service2(Barrier barrier)`

## Uses of Barrier in org.eclipse.microprofile.fault.tolerance.tck.circuitbreaker.clientserver

Methods in org.eclipse.microprofile.fault.tolerance.tck.circuitbreaker.clientserver with parameters of type Barrier
Modifier and Type
Method
Description
`Future<?>`
CircuitBreakerClientWithAsyncBulkhead.`test(Barrier barrier)`
`Future<?>`
CircuitBreakerClientWithAsyncBulkheadNoFail.`test(Barrier barrier)`
`Future<?>`
CircuitBreakerClientWithSyncBulkhead.`test(Barrier barrier)`

## Uses of Barrier in org.eclipse.microprofile.fault.tolerance.tck.config

Methods in org.eclipse.microprofile.fault.tolerance.tck.config with parameters of type Barrier
Modifier and Type
Method
Description
`void`
BulkheadConfigBean.`serviceValue(Barrier barrier)`
`Future<Void>`
BulkheadConfigBean.`serviceWaitingTaskQueue(Barrier barrier)`

## Uses of Barrier in org.eclipse.microprofile.fault.tolerance.tck.util

Methods in org.eclipse.microprofile.fault.tolerance.tck.util that return Barrier
Modifier and Type
Method
Description
`Barrier`
AsyncTaskManager.`newBarrier()`
Create a `Barrier` not associated with any task
Method parameters in org.eclipse.microprofile.fault.tolerance.tck.util with type arguments of type Barrier
Modifier and Type
Method
Description
`static void`
Barrier.`assertAllNotAwaiting(Collection<? extends Barrier> barriers)`
Assert that no task waits on any of a set of barriers within EXPECTED_FAIL_TIME_MS
`<T> AsyncTaskManager.BarrierTask<T>`
AsyncTaskManager.`runAsyncBarrierTask(Function<Barrier,Future<? extends T>> task)`
Run an asynchronous task which awaits a barrier
`<T> AsyncTaskManager.BarrierTask<T>`
AsyncTaskManager.`runAsyncCsBarrierTask(Function<Barrier,CompletionStage<? extends T>> task)`
Run an asynchronous task which awaits a barrier
`AsyncTaskManager.BarrierTask<Void>`
AsyncTaskManager.`runBarrierTask(Consumer<Barrier> task)`
Run a task which awaits on a barrier
Constructors in org.eclipse.microprofile.fault.tolerance.tck.util with parameters of type Barrier
Modifier
Constructor
Description
``
`BarrierTask(Future<? extends T> result, Barrier barrier)`